Subject: RFC 4612 errata

From: Alfred Hönes <[email-masked]>
Date: Fri, 11 Aug 2006 11:00:04 +0200 (MESZ)

Hello,
reading the recently published RFC 4612 (audio/t38 media type
registration) authored by you, I found a few issues that should
be addressed by an RFC Errata Note, and issue (1) below should
also be corrected in the corresponding IANA Registration file.

(1)  [line folding issue]

Within the Media Type Registration for subtype 'audio/t38',
RFC 4612 (near the top of page 5) says:

   Additional information:

      Magic number(s):  File extension(s):  Macintosh File Type Code(s):

It should say:

   Additional information:

      Magic number(s):
      File extension(s):
      Macintosh File Type Code(s):

(2)  [line folding issue]

Within Section 5, RFC 4612 (at the bottom of page 5) says:

   Consider the following example, which describes a media stream that
   allows the transport of G.711 audio and T.38 fax information:

   m=audio 6800 RTP/AVP 0 98 a=rtpmap:98 t38/8000 a=fmtp:98
   T38FaxVersion=2;T38FaxRateManagement=transferredTCF

It should say:

   Consider the following example, which describes a media stream that
   allows the transport of G.711 audio and T.38 fax information:

      m=audio 6800 RTP/AVP 0 98
      a=rtpmap:98 t38/8000
      a=fmtp:98 T38FaxVersion=2;T38FaxRateManagement=transferredTCF

(3)  [outdated Ref.]

In Section 7 (on page 6 of RFC 4612), item [2] refers to RFC 2327.
That RFC had been obsoleted by RFC 4566 at the time of publication
of RFC 4612 (RFC 4566 had been published 3 weeks before RFC 4612).

Therefore, item [2] should have been replaced by the appropriate
citation for RFC 4566 from rfc-ref.txt .

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+